# Fastify 文档中文翻译

### 文档目录

- [入门](docs/Getting-Started.md)
- [服务器方法](docs/Server.md)
- [路由](docs/Routes.md)
- [日志](docs/Logging.md)
- [中间件](docs/Middleware.md)
- [钩子方法](docs/Hooks.md)
- [装饰器](docs/Decorators.md)
- [验证和序列化](docs/Validation-and-Serialization.md)
- [生命周期](docs/Lifecycle.md)
- [回复](docs/Reply.md)
- [请求](docs/Request.md)
- [错误](docs/Errors.md)
- [Content-Type 解析](docs/ContentTypeParser.md)
- [插件](docs/Plugins.md)
- [测试](docs/Testing.md)
- [基准测试](docs/Benchmarking.md)
- [如何写一个好的插件](docs/Write-Plugin.md)
- [插件指南](docs/Plugins-Guide.md)
- [HTTP2](docs/HTTP2.md)
- [长期支持计划](docs/LTS.md)
- [TypeScript 与类型支持](docs/TypeScript.md)
- [Serverless](docs/Serverless.md)
- [推荐方案](docs/Recommendations.md)

### 其他版本

- [v2.x](https://github.com/fastify/docs-chinese/tree/2.x)

### 翻译指南

想要参与到项目当中？欢迎！
为了提供一致的翻译体验，请在开始翻译前参阅[翻译指南](docs/Contributing.md)。感谢！

### 贡献者

- [@fralonra](https://github.com/fralonra)
- [@poppinlp](https://github.com/poppinlp)
- [@vincent178](https://github.com/vincent178)
- [@xtx1130](https://github.com/xtx1130)
