export async function userDefaultService() {
    return 'user service';
}

// 新用户注册
export async function userRegisterService(request, reply) {
    // 1. 获取已验证的参数
    const { username, email, password } = req.body;
            
    // 2. 业务逻辑校验
    const exists = await fastify.db.users.checkExists({ username, email });
    if (exists) {
        throw fastify.httpErrors.conflict('用户名或邮箱已存在');
    }

    // // 3. 调用服务层
    // const newUser = await fastify.userService.create({
    //     username,
    //     email,
    //     password: await fastify.bcrypt.hash(password)
    // });

    // 4. 返回标准响应
    return reply.code(201).send({
        userId: newUser.id,
        username: newUser.username,
        email: newUser.email,
        createdAt: newUser.created_at.toISOString()
    });
}