const text = '> Si  Hi <'; // 需要显示的文本
const terminalWidth = process.stdout.columns || 100;
const padding = Math.max(0, Math.floor((terminalWidth - text.length * 1.5) / 2)); // 中文每个字占2字符宽度
/* eslint-disable no-console */
console.log(
    '\x1B[48;5;0m%s\x1B[0m', // 灰色背景
    '\x1B[32;5;12m\x1B[1m ' + // 白色加粗
        '-'.repeat(padding) +
        text +
        '-'.repeat(padding) +
        ' \x1B[0m', // 重置样式
);
